<ion-content style="text-align:center">
  <form (ngSubmit)="onSubmit()" [formGroup]="credentials">
    <div class="input-group" style="width:300px; margin:0 auto;"> 
      <ion-item>
        <ion-input type="text" placeholder="Full Name" formControlName="name"></ion-input>
      </ion-item>
      <div *ngIf="(f.name.dirty || f.name.touched) && f.name.errors" class="errors">
        <span *ngIf="f.name.errors?.required">Full name is required</span>       
      </div>

      <ion-item>
        <ion-input type="email" placeholder="Email" formControlName="email"></ion-input>
      </ion-item>
      <div *ngIf="(f.email.dirty || f.email.touched) && f.email.errors" class="errors">
        <span *ngIf="f.email.errors?.required">Email is required</span>
        <span *ngIf="f.email.errors?.email">Email is invalid</span>         
      </div>

      
      <ion-item>
        <ion-input type="password" placeholder="Password" formControlName="password"></ion-input>
      </ion-item>
      <div *ngIf="(f.password.dirty || f.password.touched) && f.password.errors" class="errors">
        <span *ngIf="f.password.errors?.required">Password is required</span>
        <span *ngIf="f.password.errors?.minlength">Password needs to be 6 characters</span>         
      </div>

      <ion-item>
        <ion-input type="password" placeholder="Confirm Password" formControlName="confirmPassword"></ion-input>
      </ion-item>
      <div *ngIf="(f.confirmPassword.dirty || f.confirmPassword.touched) && f.confirmPassword.errors" class="errors">
        <span *ngIf="f.confirmPassword.errors?.required">Confirm password is required</span>
        <span *ngIf="f.confirmPassword.errors?.matching">Confirm password does not match</span>         
      </div>

      <ion-item>        
        <!-- <ion-input type="checkbox" formControlName="acceptTerms"></ion-input> -->
        <ion-checkbox color="dark" formControlName="acceptTerms"></ion-checkbox>
        <ion-label for="acceptTerms"> I agree </ion-label>
      </ion-item>
      <div *ngIf="(f.acceptTerms.dirty || f.acceptTerms.touched) && f.acceptTerms.errors" class="errors">
        <span *ngIf="f.acceptTerms.errors?.required">Must accept terms and conditions</span>
      </div>

    </div>
    <div>
      <ion-button type="submit" color="primary" [disabled]="!credentials.valid" style="width:300px;">Register</ion-button>
    </div>
    <div>
      <ion-button type="button" color="danger" (click)="onReset()" style="width:300px;">Reset</ion-button>
    </div>
    
  </form>
</ion-content>
